Name:          Agrona
Version:       0.5.4
Release:       1%{?dist}
Summary:       High performance primitives and utility library for Java
License:       ASL 2.0
URL:           https://github.com/real-logic/Agrona
Source0:       https://github.com/real-logic/Agrona/archive/%{version}/%{name}-%{version}.tar.gz

# Disable unwanted tasks
# Add OSGi support
Patch0:        Agrona-0.5.4-build.patch

BuildRequires: gradle-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.hamcrest:hamcrest-all)
BuildRequires: mvn(org.mockito:mockito-core)

BuildArch:     noarch

%description
Agrona provides a library of data structures and utility methods that
are a common need when building high-performance applications in Java.
Many of these utilities are used in the Aeron efficient reliable UDP
unicast, multicast, and IPC message transport and provides high-performance
buffer implementations to support the Simple Binary Encoding Message Codec.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
# Cleanup
# find -name "*.class" -print -delete
find -name "*.jar" -print -delete

%patch0 -p1

# Caused by: java.io.IOException at MappedResizeableBufferTest.java:115
# Caused by: java.lang.OutOfMemoryError at MappedResizeableBufferTest.java:83/97
find -name "MappedResizeableBufferTest.java" -print -delete

%mvn_file :%{name} %{name}

%build

%gradle_build -- install

%install
%mvn_install -J build/docs/javadoc

%files -f .mfiles
%doc README.md
%license LICENSE README.md

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Tue Sep 20 2016 gil cattaneo <puntogil@libero.it> 0.5.4-1
- initial rpm

